Merge branch 'tkrizek/default-alg-fixups-v9_18' into 'v9_18'

[9.18] Fix minor issues with DEFAULT_ALGORITHM selection in system tests

See merge request isc-projects/bind9!7255
This commit is contained in:
Tom Krizek 2022-12-21 11:43:02 +00:00
commit 7009aa9044
2 changed files with 36 additions and 27 deletions

View file

@ -67,6 +67,31 @@ export KRB5_CONFIG=/dev/null
# use local keytab instead of default /etc/krb5.keytab
export KRB5_KTNAME=dns.keytab
#
# Programs detected by configure
# Variables will be empty if no program was found by configure
#
export SHELL=@SHELL@
export CURL=@CURL@
export NC=@NC@
export XMLLINT=@XMLLINT@
export XSLTPROC=@XSLTPROC@
export PYTEST=@PYTEST@
#
# Interpreters for system tests detected by configure
#
export PERL=$(command -v "@PERL@" || true)
if ! test -x "$PERL"; then
echo "Perl interpreter is required for system tests."
exit 77
fi
export PYTHON=$(command -v "@PYTHON@" || true)
if ! test -x "$PYTHON"; then
echo "Python interpreter is required for system tests."
exit 77
fi
# Load common values
. $TOP_SRCDIR/bin/tests/system/conf.sh.common
@ -98,24 +123,3 @@ tcp"
PARALLELDIRS="$PARALLEL_COMMON $PARALLEL_UNIX"
SUBDIRS="$SEQUENTIALDIRS $PARALLELDIRS"
# Use the CONFIG_SHELL detected by configure for tests
export SHELL=@SHELL@
# CURL will be empty if no program was found by configure
export CURL=@CURL@
# NC will be empty if no program was found by configure
export NC=@NC@
# XMLLINT will be empty if no program was found by configure
export XMLLINT=@XMLLINT@
# XSLTPROC will be empty if no program was found by configure
export XSLTPROC=@XSLTPROC@
# PERL will be an empty string if no perl interpreter was found.
export PERL=$(command -v "@PERL@")
export PYTHON=$(command -v "@PYTHON@" || true)
export PYTEST=@PYTEST@

View file

@ -11,22 +11,27 @@
# See the COPYRIGHT file distributed with this work for additional
# information regarding copyright ownership.
prog=$0
args=""
quiet=0
msg="cryptography"
if test -z "$KEYGEN"; then
. ../conf.sh
alg="-a $DEFAULT_ALGORITHM -b $DEFAULT_BITS"
else
alg=""
quiet=1
args="-q"
fi
prog=$0
args=""
quiet=0
msg="cryptography"
while test "$#" -gt 0; do
case $1 in
-q)
args="$args -q"
quiet=1
if test $quiet -eq 0; then
args="$args -q"
quiet=1
fi
;;
rsa|RSA|rsasha1|RSASHA1)
alg="-a RSASHA1"